%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

Name:		php-channel-symfony
Version:	1.3
Release:	1%{?dist}
Summary:	Adds symfony project channel to PEAR

Group:		Development/Languages
License:	MIT
URL:		http://www.symfony-project.com/
Source0:	http://pear.symfony-project.com/channel.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	php-pear >= 1:1.4.9-1.2
Requires:	php-cli
Requires:	php-pear(PEAR)

Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:	php-channel(pear.symfony-project.com)

%description
This package adds the symfony channel which allows
PEAR packages from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/pear.symfony-project.com.xml


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq  1 ] ; then
	%{__pear} channel-add %{pear_xmldir}/pear.symfony-project.com.xml > /dev/null || :
else
	%{__pear} channel-update %{pear_xmldir}/pear.symfony-project.com.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
	%{__pear} channel-delete pear.symfony-project.com > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/*


%changelog
* Tue Jan  5 2010 Alexander Kahl <akahl@imttechnologies.com> - 1.3-1
- updated channel.xml
- adated REST version as package version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 24 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-2
- rectified license and url

* Wed Oct 17 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-1
- initial release
